import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { CqrsModule } from '@nestjs/cqrs';
import { UserModel } from './data/models/user.model';
import { UserReadService } from './data/services.ts/user-read.service';
import { UserDataService } from './data/services.ts/user-data.service';

@Module({
  imports: [
    ConfigModule.forRoot(),
    TypeOrmModule.forFeature([UserModel], CONNECTION_NAME.DEFAULT),
    CqrsModule,
  ],
  controllers: [],
  providers: [UserReadService, UserDataService],
  exports: [UserDataService],
})
export class UserModule {}
